Veo 3.1 テキストからビデオ
curl --request POST \
--url https://api.sinancode.com/v1/generate/k/veo3-text-to-video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "a cat playing with a ball",
"aspectRatio": "16:9",
"enableTranslation": true,
"model": "veo3_fast",
"seeds": 12345,
"watermark": ""
}
'import requests
url = "https://api.sinancode.com/v1/generate/k/veo3-text-to-video"
payload = {
"prompt": "a cat playing with a ball",
"aspectRatio": "16:9",
"enableTranslation": True,
"model": "veo3_fast",
"seeds": 12345,
"watermark": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'a cat playing with a ball',
aspectRatio: '16:9',
enableTranslation: true,
model: 'veo3_fast',
seeds: 12345,
watermark: ''
})
};
fetch('https://api.sinancode.com/v1/generate/k/veo3-text-to-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "01234567-89ab-cdef-0123-456789abcdef"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}動画生成 - Veo 3
Veo 3 Text to Video
Google Veo 3.1 モデルを使用して、テキストプロンプトからビデオを生成します(非同期)
POST
/
generate
/
k
/
veo3-text-to-video
Veo 3.1 テキストからビデオ
Google DeepMind の Veo 3 モデルを使用してテキストから動画を生成します。
承認
API Tokenを使用して認証を行ってください
ボディ
application/json
タスクパラメータ
プロンプト(必須)- 動画生成のためのテキスト記述
Minimum string length:
1例:
"a cat playing with a ball"
アスペクト比(オプション)- 動画のアスペクト比。デフォルトは 16:9
利用可能なオプション:
16:9, 9:16, Auto 例:
"16:9"
翻訳を有効にする(オプション)- 翻訳を有効にします。デフォルトは true
例:
true
モデル(オプション)- veo3(品質優先)または veo3_fast(速度優先)。デフォルトは veo3_fast
利用可能なオプション:
veo3, veo3_fast 例:
"veo3_fast"
シード値(オプション)- 範囲 10000-99999
必須範囲:
10000 <= x <= 99999例:
12345
ウォーターマーク(オプション)- ウォーターマーク識別子
例:
""
レスポンス
OK
タスクID
例:
"01234567-89ab-cdef-0123-456789abcdef"
⌘I